using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using NLog;
using System.Data.SqlClient;    // SqlCommand

namespace ProcessDatabase
{
    public class ProcessDB
    {
        Logger log = LogManager.GetLogger("target_logger");

        // process insert query
        public int InsertData(SqlConnection connection) // 매개변수 : 생성된 쿼리
        {
            int result = 0;

            try {
                using (SqlCommand cmd = connection.CreateCommand())
                {

                }
            } catch(Exception e)
            {
                log.Error(e.ToString());
            }

            return result;
        }

        // process update query


        // process delete query


    }
}
